/*
  Ŀ
                                                                        
                             Add2bbs.h                                  
                       Prototypes and defines                           
  
*/

#define MAX_C_LINES     25                /* up to 25 comment lines    */
#define MAX_C_COLS      80                /* on 80 columns...          */
#define CONFIG_FILE     "ADD2BBS.CFG"     /* Configuration file name   */
#define TMP_FILE        "ADD2BBS.TMP"     /* Temporary work file       */
#define COMMENT_CHAR    35                /* 1st char for comment line */
                                          /* in config file.           */
#define MYBUFS          10240             /* File  i/o buffers         */

#define ___VERSION___   "1.0"             /* <<<< Version Number !!    */

#define NOTFOUND        1
#define ALL             0


typedef struct Ftype
       {
         char fname[13];               /* Struct used in linked list  */
         char HasComment;
         struct Ftype *Next;           /* of filenames                */
       };

extern  int   main(int argc,char * *argv);
extern  void  Title(void);
extern  int   FindFiles(void );
extern  void  ListFiles(int which );
extern  int   FlagFile(char *line);
extern  void  LastFiles(void );
extern  int   ReadDesc(void );
extern  int   IsFilDes(char *line);
extern  int   IsComment(char *line);
extern  void  Clean(char *line);
extern  void  ClearTab(void );
extern  void  PrintTab(void );
extern  void  MakeConfPath(char *path);
extern  int   ReadConf(void );
extern  int   VerifPath(void );
extern  int   MoveFile(char *name);
extern  void  SampleConfig(void );
extern  void  Usage(void );
extern  void  Perror(char *s);
extern  void  RealStat( char *fullpath,char *name);
extern  int   fmove( char *source, char *destin );
extern  int   fappend( char *destin, char *source );

/*    Thank you Mr Microsoft for generating these declarations  for me :-)   */
/*                                                                           */
/*--------------------------( end of add2bbs.h )-----------------------------*/
